> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove a designation from the checkout



## OpenAPI

````yaml delete /frontend/checkout/designation/{client_id}/{program_id}/{id}/{currency}/{session_id}
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /frontend/checkout/designation/{client_id}/{program_id}/{id}/{currency}/{session_id}:
    delete:
      tags:
        - Frontend
      summary: Remove a designation from the checkout
      operationId: cbb5bd3b37f5ec2c2a1aa1cebcae971f
      parameters:
        - name: client_id
          in: path
          description: The ID of the client
          required: true
          schema:
            type: integer
        - name: program_id
          in: path
          description: The ID of the program
          required: true
          schema:
            type: integer
        - name: id
          in: path
          description: The ID of the designation
          required: true
          schema:
            type: string
            example: MASTER
        - name: currency
          in: path
          description: The currency of the designation
          required: true
          schema:
            type: string
            example: $
        - name: session_id
          in: path
          description: The ID of the session
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: string
                    example: success
                  message:
                    type: string
                    example: Gift of USD 100 was removed from your order.
                type: object
        '400':
          description: Failed operation
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: string
                    example: error
                  message:
                    type: string
                    example: Order not removed
                type: object

````